Package com.omnisci.thrift.server

## Class TSessionInfo

- java.lang.Object
- - com.omnisci.thrift.server.TSessionInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSessionInfo>`, `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TSessionInfo
    extends Object
    implements org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>, Serializable, Cloneable, Comparable<TSessionInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSessionInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `database`
`boolean` `is_super`
`static Map<TSessionInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `start_time`
`String` `user`

### Constructor Summary

Constructors
`TSessionInfo()`
`TSessionInfo​(TSessionInfo other)` Performs a deep copy on other.
`TSessionInfo​(String user, String database, long start_time, boolean is_super)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TSessionInfo other)`
`TSessionInfo` `deepCopy()`
`boolean` `equals​(TSessionInfo that)`
`boolean` `equals​(Object that)`
`TSessionInfo._Fields` `fieldForId​(int fieldId)`
`String` `getDatabase()`
`Object` `getFieldValue​(TSessionInfo._Fields field)`
`long` `getStart_time()`
`String` `getUser()`
`int` `hashCode()`
`boolean` `isIs_super()`
`boolean` `isSet​(TSessionInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDatabase()` Returns true if field database is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_super()` Returns true if field is_super is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_time()` Returns true if field start_time is set (has been assigned a value) and false otherwise
`boolean` `isSetUser()` Returns true if field user is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TSessionInfo` `setDatabase​(String database)`
`void` `setDatabaseIsSet​(boolean value)`
`void` `setFieldValue​(TSessionInfo._Fields field, Object value)`
`TSessionInfo` `setIs_super​(boolean is_super)`
`void` `setIs_superIsSet​(boolean value)`
`TSessionInfo` `setStart_time​(long start_time)`
`void` `setStart_timeIsSet​(boolean value)`
`TSessionInfo` `setUser​(String user)`
`void` `setUserIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDatabase()`
`void` `unsetIs_super()`
`void` `unsetStart_time()`
`void` `unsetUser()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### user

    public String user

#### database

    public String database

#### start_time

    public long start_time

#### is_super

    public boolean is_super

#### metaDataMap

    public static final Map<TSessionInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSessionInfo

    public TSessionInfo()

#### TSessionInfo

    public TSessionInfo​(String user,
                        String database,
                        long start_time,
                        boolean is_super)

#### TSessionInfo

    public TSessionInfo​(TSessionInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSessionInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### getUser

    public String getUser()

#### setUser

    public TSessionInfo setUser​(String user)

#### unsetUser

    public void unsetUser()

#### isSetUser

    public boolean isSetUser()

Returns true if field user is set (has been assigned a value) and false otherwise

#### setUserIsSet

    public void setUserIsSet​(boolean value)

#### getDatabase

    public String getDatabase()

#### setDatabase

    public TSessionInfo setDatabase​(String database)

#### unsetDatabase

    public void unsetDatabase()

#### isSetDatabase

    public boolean isSetDatabase()

Returns true if field database is set (has been assigned a value) and false otherwise

#### setDatabaseIsSet

    public void setDatabaseIsSet​(boolean value)

#### getStart_time

    public long getStart_time()

#### setStart_time

    public TSessionInfo setStart_time​(long start_time)

#### unsetStart_time

    public void unsetStart_time()

#### isSetStart_time

    public boolean isSetStart_time()

Returns true if field start_time is set (has been assigned a value) and false otherwise

#### setStart_timeIsSet

    public void setStart_timeIsSet​(boolean value)

#### isIs_super

    public boolean isIs_super()

#### setIs_super

    public TSessionInfo setIs_super​(boolean is_super)

#### unsetIs_super

    public void unsetIs_super()

#### isSetIs_super

    public boolean isSetIs_super()

Returns true if field is_super is set (has been assigned a value) and false otherwise

#### setIs_superIsSet

    public void setIs_superIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSessionInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSessionInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### isSet

    public boolean isSet​(TSessionInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSessionInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSessionInfo other)

Specified by:
  `compareTo` in interface `Comparable<TSessionInfo>`

#### fieldForId

    public TSessionInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSessionInfo,​TSessionInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`